مدیاویکی:Common.css: تفاوت میان نسخه‌ها

بدون خلاصۀ ویرایش
بدون خلاصۀ ویرایش
 
(۳۴ نسخهٔ میانی ویرایش شده توسط ۲ کاربر نشان داده نشد)
خط ۱: خط ۱:
* {
    box-sizing: border-box;
}
/* 1.40 vectore */
.vector-menu-tabs .mw-list-item.vector-tab-noicon a {
    border-bottom: none;
    margin-top: 20px;
}
.vector-page-titlebar::after {
    height: 0;
}
.vector-page-toolbar-container {
box-shadow: none;
}
/* Vazir Font */
/* Vazir Font */
  @font-face {
  @font-face {
خط ۸۴: خط ۱۰۰:
body.page-صفحهٔ_اصلی #ca-history,
body.page-صفحهٔ_اصلی #ca-history,
body.page-صفحهٔ_اصلی #pagehistory {
body.page-صفحهٔ_اصلی #pagehistory {
   display: none;
   dis play: none;
}
}


خط ۱٬۳۹۱: خط ۱٬۴۰۷:
         text-align: center;
         text-align: center;
     }
     }
    .reflistres{column-count: 1!important;}
}
}
@media only screen and (max-width: 1024px) {
.infobox{float:none !important;display:block;max-width:100% !important}
.mw-body-header{float:none !important}
}
/* temporary fix for T86979 */
/* temporary fix for T86979 */
.ui-dialog { right: auto; }
.ui-dialog { right: auto; }
خط ۱٬۴۷۴: خط ۱٬۴۹۶:
/* font-sizes */
/* font-sizes */
.mw-body-content{
.mw-body-content{
font-size: 16px;
font -size: 16px;
}
}
.mw-editfont-monospace{
.mw-editfont-monospace{
خط ۱٬۶۷۹: خط ۱٬۷۰۱:
}
}
h1, h2 {
h1, h2 {
   border-bottom: none;
   bor der-bottom: none;
}
}
/* citizen */
/* citizen */
خط ۱٬۶۹۰: خط ۱٬۷۱۲:
}
}
}
}
/* hide excess menus */
/* hide excess menus for non-logged-in */
#n-امتیاز-مشارکت, #t-recentchangeslinked, #t-upload, #t-info, #t-createredirect, #t-articlefeedbackv5-add, #t-articlefeedbackv5-view, #n-recentchanges {
#n-امتیاز-مشارکت, #t-recentchangeslinked, #t-upload, #t-info, #t-createredirect, #t-articlefeedbackv5-add, #t-articlefeedbackv5-view, #n-recentchanges, #t-specialpages, .vector-menu-tabs .mw-list-item.new a {
display: none;
display: none;
}
}
خط ۱٬۶۹۷: خط ۱٬۷۱۹:
display: none;
display: none;
}
}
.mw-body-header {
float: right;
}
.vector-article-toolbar {
float: left;
z-index: 1;
position: relative;
}
.vector-article-toolbar .new {
display: none;
}
.vector-menu-tabs .mw-list-item > a {
color: #fff;
background-color: #36c;
border-color: #36c;
padding: 8px !important;
transition: background-color 100ms,color 100ms,border-color 100ms,box-shadow 100ms;
min-height: 1em;
font-size: 14px;
border-radius: 3px;
}
.mw-article-toolbar-container {
  border-bottom: 0;
}
#mw-indicator-mw-helplink {
display: none;
}


/* add logo */
/* add logo */
خط ۱٬۷۰۳: خط ۱٬۷۵۳:
text-align: center;
text-align: center;
display: block;
display: block;
}
/* comment section */
.cs-comments, .cs-title-edit-field, .cs-body-edit-field {
  font-family: vazir !important;
}
.cs-header .oo-ui-buttonElement-button[tabindex="0"] {
position: fixed;
top: 4em;
left: 1em;
z-index: 10;
}
.cs-header .oo-ui-buttonElement-button[title="لغو"], .cs-header .oo-ui-buttonElement-button[title="ثبت"] {
position: relative;
top: unset;
left: unset;
}
#toc-mw-content-text {
display: none;
}
}